package corbaTrace.xmi;

public class Log2xmi {

  public Log2xmi(){

  }

  public static void main(String args[]){
    //creation of the classes and roles
    XmiDocument doc=new XmiDocument();
    XmiModel model=new XmiModel(doc, "FirstTest");
    doc.addModel(model);
    XmiClass _class=new XmiClass(doc,"FirstClass");
    model.addClass(_class);
    XmiOperation op=new XmiOperation(doc, "say_hello");
    _class.addOperation(op);
    XmiOperation op2=new XmiOperation(doc,"say_goodbye");
    _class.addOperation(op2);
    XmiSequenceDiagram seqDiag=new XmiSequenceDiagram(doc, "FirstDiagram");
    model.addSequenceDiagram(seqDiag);
    XmiClassifierRole role1=new XmiClassifierRole(doc,"InstanceTest1",_class);
    seqDiag.addClassifierRole(role1);
    XmiClassifierRole role2=new XmiClassifierRole(doc,"InstanceTest2",_class);
    seqDiag.addClassifierRole(role2);
    XmiClassifierRole role3=new XmiClassifierRole(doc,"InstanceTest3",_class);
    seqDiag.addClassifierRole(role3);

    //creation of the actions
    XmiCallAction action=new XmiCallAction(doc,"action1",op);
    model.addCallAction(action);
    XmiCallAction action2=new XmiCallAction(doc,"action2",op2);
    model.addCallAction(action2);

    //creation of the messages
    XmiMessage msg=new XmiMessage(doc,"message1",role1,role2,action);
    XmiMessage msg2=new XmiMessage(doc,"message2",role3,role1,action);
    XmiMessage msg3=new XmiMessage(doc,"message3",role2,role1,action2);
    seqDiag.addMessage(msg);
    seqDiag.addMessage(msg2);
    seqDiag.addMessage(msg3);

    //add extensions
    doc.createMagicDrawExtensions();
    doc.createRoseExtensions();

    //doc.writeToFile(args[0]);
    doc.writeToFile("./testXmi.xml");
  }

}
